//
//	FindinSite-CD-JS-HelpIndex database naturalforajax
//
//	Copyright (c) 2016-2018 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA
//
var naturalforajax = {
    baseurls: ["../"],
    varname: "naturalforajax",
        tree: [
            { url: "about/about.htm", title: "About this Documentation",
              tree: [
                  { url: "about/document_conventions.htm", title: "Document Conventions" },
                  { url: "about/online_information.htm", title: "Online Information and Support" },
                  { url: "about/data_protection.htm", title: "Data Protection" },
              ]
            },
            { url: "relnotes/rn.htm", title: "Release Notes" },
            { url: "njx/njx-over.htm", title: "Natural for Ajax",
              tree: [
                  { url: "njx/njx-intro.htm", title: "Introduction" },
                  { url: "njx/njx-sysreq.htm", title: "System Requirements" },
                  { url: "njx/njx-install.htm", title: "Installation" },
                  { url: "njx/njx-setup.htm", title: "Setting Up Your Environment" },
                  { url: "njx/fs-over.htm", title: "First Steps",
                    tree: [
                        { url: "njx/fs-about.htm", title: "About this Tutorial" },
                        { url: "njx/fs-start.htm", title: "Starting the Development Workplace" },
                        { url: "njx/fs-project.htm", title: "Creating a Project" },
                        { url: "njx/fs-getstart.htm", title: "Getting Started with the Layout Painter" },
                        { url: "njx/fs-gui.htm", title: "Writing the GUI Layout" },
                        { url: "njx/fs-setupnjx.htm", title: "Setting Up Your Development and Runtime Environment for Natural" },
                        { url: "njx/fs-natcode.htm", title: "Creating the Natural Code" },
                        { url: "njx/fs-background.htm", title: "Some Background Information" },
                    ]
                  },
                  { url: "njx/njx-devui.htm", title: "Developing the User Interface" },
                  { url: "njx/njx-devcode.htm", title: "Developing the Application Code" },
                  { url: "njx/njx-deploy.htm", title: "Deploying the Application" },
                  { url: "njx/njx-natvarparm.htm", title: "Natural Parameters and System Variables" },
                  { url: "njx/njx-editmask.htm", title: "Usage of Edit Masks" },
                  { url: "njx/njx-multilang.htm", title: "Multi Language Management" },
                  { url: "njx/njx-rtl.htm", title: "Support of Right-to-Left Languages" },
                  { url: "njx/njx-sss.htm", title: "Server-Side Scrolling and Sorting" },
                  { url: "njx/njx-cp.htm", title: "Code Pages" },
                  { url: "njx/njx-cfg-browser.htm", title: "Browser Configuration" },
                  { url: "njx/njx-timeout.htm", title: "Timeout Configuration" },
                  { url: "njx/njx-test.htm", title: "Test Automation of Natural for Ajax Applications" },
                  { url: "njx/njx-modern-over.htm", title: "Application Modernization",
                    tree: [
                        { url: "njx/njx-modern-steps.htm", title: "Overview of Conversion Steps" },
                        { url: "njx/njx-modern-mapex.htm", title: "Map Extraction" },
                        { url: "njx/njx-modern-mapconv.htm", title: "Map Conversion" },
                        { url: "njx/njx-modern-mapconv-cust.htm", title: "Customizing the Map Conversion Process" },
                        { url: "njx/njx-modern-code.htm", title: "Code Conversion" },
                    ]
                  },
                  { url: "njx/njx-eoi.htm", title: "Web Service for Optimize for Infrastructure" },
                  { url: "njx/typicalpagelayout.htm", title: "Typical Page Layout",
                    tree: [
                        { url: "njx/natpage.htm", title: "NATPAGE" },
                        { url: "njx/titlebar.htm", title: "TITLEBAR" },
                        { url: "njx/header.htm", title: "HEADER" },
                        { url: "njx/pagebody.htm", title: "PAGEBODY" },
                        { url: "njx/statusbar.htm", title: "STATUSBAR" },
                    ]
                  },
                  { url: "njx/workingwithcontainers.htm", title: "Working with Containers",
                    tree: [
                        { url: "njx/positioningofcontrolsinsideacontainer.htm", title: "Positioning of Controls inside a Container" },
                        { url: "njx/definingthewidthofcontrolsinsideacontainer.htm", title: "Defining the Width of Controls inside a Container" },
                        { url: "njx/verticalsizingofcontainersandcontrols.htm", title: "Vertical Sizing of Containers and Controls" },
                        { url: "njx/overviewofdifferentcontainers.htm", title: "Overview of Different Containers" },
                        { url: "njx/rowareacolarea.htm", title: "ROWAREA and COLAREA" },
                        { url: "njx/rowareawithheader.htm", title: "ROWAREAWITHHEADER" },
                        { url: "njx/rowtabareacoltabarea.htm", title: "ROWTABAREA and COLTABAREA" },
                        { url: "njx/rowtable0coltable0.htm", title: "ROWTABLE0 and COLTABLE0" },
                        { url: "njx/coldynavisrowdynavis.htm", title: "ROWDYNAVIS and COLDYNAVIS" },
                        { url: "njx/rowdivandinnerdiv.htm", title: "ROWDIV and INNERDIV" },
                        { url: "njx/rowscrollarea.htm", title: "ROWSCROLLAREA" },
                        { url: "njx/hsplitandvsplit.htm", title: "HSPLIT and VSPLIT" },
                        { url: "njx/hlineandvline.htm", title: "HLINE and VLINE" },
                        { url: "njx/performanceoptimisationwithcontainers.htm", title: "Performance Optimization with Containers" },
                        { url: "njx/rowtabsubpages.htm", title: "ROWTABSUBPAGES and STRAIGHTTABPAGE" },
                    ]
                  },
                  { url: "njx/workingwithcontrols.htm", title: "Working with Controls",
                    tree: [
                        { url: "njx/somecommonrulesforallcontrols.htm", title: "Some Common Rules for all Controls" },
                        { url: "njx/breadcrumb.htm", title: "BREADCRUMB" },
                        { url: "njx/button.htm", title: "BUTTON" },
                        { url: "njx/buttonlist.htm", title: "BUTTONLIST" },
                        { url: "njx/checkbox.htm", title: "CHECKBOX" },
                        { url: "njx/combodyn2.htm", title: "COMBODYN2" },
                        { url: "njx/combofix.htm", title: "COMBOFIX" },
                        { url: "njx/dateinput.htm", title: "DATEINPUT" },
                        { url: "njx/dateinput2.htm", title: "DATEINPUT2" },
                        { url: "njx/dropicon.htm", title: "DROPICON" },
                        { url: "njx/field.htm", title: "FIELD" },
                        { url: "njx/fileupload-controls.htm", title: "FILEUPLOAD/FILEUPLOAD2" },
                        { url: "njx/icon.htm", title: "ICON" },
                        { url: "njx/iconlist.htm", title: "ICONLIST" },
                        { url: "njx/ihtml.htm", title: "IHTML" },
                        { url: "njx/imageout.htm", title: "IMAGEOUT" },
                        { url: "njx/imageviewer.htm", title: "IMAGEVIEWER" },
                        { url: "njx/label.htm", title: "LABEL" },
                        { url: "njx/menubutton.htm", title: "MENUBUTTON" },
                        { url: "njx/methodlink.htm", title: "METHODLINK" },
                        { url: "njx/multiselect.htm", title: "MULTISELECT" },
                        { url: "njx/newsfeed.htm", title: "NEWSFEED" },
                        { url: "njx/radiobutton.htm", title: "RADIOBUTTON" },
                        { url: "njx/scheduleline.htm", title: "SCHEDULELINE" },
                        { url: "njx/slider.htm", title: "SLIDER" },
                        { url: "njx/stripsel.htm", title: "STRIPSEL" },
                        { url: "njx/subcispage2.htm", title: "SUBCISPAGE2" },
                        { url: "njx/subpage.htm", title: "SUBPAGE" },
                        { url: "njx/tabsel.htm", title: "TABSEL" },
                        { url: "njx/tabstrip2.htm", title: "TABSTRIP2" },
                        { url: "njx/tagcloud.htm", title: "TAGCLOUD" },
                        { url: "njx/text.htm", title: "TEXT" },
                        { url: "njx/textout.htm", title: "TEXTOUT" },
                        { url: "njx/toggle.htm", title: "TOGGLE" },
                        { url: "njx/activex.htm", title: "ACTIVEX" },
                        { url: "njx/chart.htm", title: "CHART" },
                        { url: "njx/googlemap.htm", title: "GOOGLEMAP" },
                        { url: "njx/openstreetmap.htm", title: "OPENSTREETMAP and Sub Controls" },
                        { url: "njx/linechart.htm", title: "LINECHART" },
                        { url: "njx/netmeeting.htm", title: "NETMEETING" },
                        { url: "njx/report.htm", title: "REPORT" },
                        { url: "njx/skypecall.htm", title: "SKYPECALL" },
                        { url: "njx/timercontrol.htm", title: "TIMER" },
                        { url: "njx/njx_buttonitem.htm", title: "NJX:BUTTONITEM" },
                        { url: "njx/njx_buttonitemfix.htm", title: "NJX:BUTTONITEMFIX" },
                        { url: "njx/njx_buttonitemlist.htm", title: "NJX:BUTTONITEMLIST" },
                        { url: "njx/njx_buttonitemlistfix.htm", title: "NJX:BUTTONITEMLISTFIX" },
                        { url: "njx/njx_documentlink.htm", title: "NJX:DOCUMENTLINK" },
                        { url: "njx/njx_eventdata.htm", title: "NJX:EVENTDATA" },
                        { url: "njx/njx_fielditem.htm", title: "NJX:FIELDITEM" },
                        { url: "njx/njx_fieldlist.htm", title: "NJX:FIELDLIST" },
                        { url: "njx/njx_fieldvalue.htm", title: "NJX:FIELDVALUE" },
                        { url: "njx/njx_mashzone.htm", title: "NJX:MASHZONE and BMOBILE:MASHZONE" },
                        { url: "njx/njx_njxfiledownload.htm", title: "NJX:NJXFILEDOWNLOAD" },
                        { url: "njx/njx_njxfileupload2.htm", title: "NJX:NJXFILEUPLOAD2" },
                        { url: "njx/njx_njxvariable.htm", title: "NJX:NJXVARIABLE" },
                    ]
                  },
                  { url: "njx/workingwithgrids.htm", title: "Working with Grids",
                    tree: [
                        { url: "njx/basics.htm", title: "Basics" },
                        { url: "njx/textgrid2.htm", title: "TEXTGRID2" },
                        { url: "njx/textgridsss2textgrid2withserversidescrolling.htm", title: "TEXTGRIDSSS2 - TEXTGRID2 with Server-Side Scrolling" },
                        { url: "njx/rowtablearea2theflexiblecontrolgrid.htm", title: "ROWTABLEAREA2 - The Flexible Control Grid" },
                        { url: "njx/rowtablearea3.htm", title: "ROWTABLEAREA3 - The Array Grid" },
                        { url: "njx/flexline.htm", title: "FLEXLINE - Flexible Columns in Control Grids" },
                        { url: "njx/mgdgrid.htm", title: "MGDGRID - Managing the Grid" },
                        { url: "njx/flexiblecolumnheadersgridcolheadercontrol.htm", title: "GRIDCOLHEADER - Flexible Column Headers" },
                        { url: "njx/stylinggrids.htm", title: "Styling Grids" },
                    ]
                  },
                  { url: "njx/workingwithtrees.htm", title: "Working with Trees",
                    tree: [
                        { url: "njx/tree-basics.htm", title: "Basics" },
                        { url: "njx/treenode3incontrolgridrowtablearea2.htm", title: "TREENODE3 in Control Grid (ROWTABLEAREA2)" },
                        { url: "njx/clienttree.htm", title: "CLIENTTREE" },
                    ]
                  },
                  { url: "njx/workingwithmenus.htm", title: "Working with Menus",
                    tree: [
                        { url: "njx/typesofmenus.htm", title: "Types of Menus" },
                        { url: "njx/menu.htm", title: "MENU" },
                        { url: "njx/dlmenu.htm", title: "DLMENU" },
                        { url: "njx/xcipopupmenu.htm", title: "XCIPOPUPMENU - Enable Context Menus" },
                        { url: "njx/stylemenu.htm", title: "Styling Menus" },
                    ]
                  },
                  { url: "njx/nonvisualcontrolsandhotkeys.htm", title: "Non-Visual Controls and Hot Keys",
                    tree: [
                        { url: "njx/autocomplete.htm", title: "AUTOCOMPLETE" },
                        { url: "njx/timer.htm", title: "TIMER" },
                        { url: "njx/xcidatadef.htm", title: "XCIDATADEF - Data Definition" },
                        { url: "njx/xcicontext.htm", title: "XCICONTEXT" },
                        { url: "njx/njx_xciopenpopup.htm", title: "NJX:XCIOPENPOPUP" },
                        { url: "njx/njx_xcilivingpopup.htm", title: "NJX:XCILIVINGPOPUP" },
                        { url: "njx/extendedhotkeymanagement.htm", title: "Extended Hot Key Management" },
                        { url: "njx/functionkeyhandling.htm", title: "Function Key Handling" },
                        { url: "njx/njx_objects.htm", title: "NJX:OBJECTS" },
                        { url: "njx/njx_sessionparams.htm", title: "NJX:SESSIONPARAMS" },
                        { url: "njx/njx_requestcontext.htm", title: "NJX:REQUESTCONTEXT" },
                        { url: "njx/njx_triggerevent.htm", title: "NJX:TRIGGEREVENT" },
                    ]
                  },
                  { url: "njx/workingwithpopups.htm", title: "Working with Pop-Ups" },
                  { url: "njx/workingwithworkplaces.htm", title: "Working with Workplaces",
                    tree: [
                        { url: "njx/multi-over.htm", title: "What are Multi Frame Pages?" },
                        { url: "njx/definitionofmultiframepages.htm", title: "Definition of Multi Frame Pages" },
                        { url: "njx/workplaceframework.htm", title: "Application Designer Workplace Framework" },
                        { url: "njx/multi-createown.htm", title: "Creating Your Own Workplace Application" },
                        { url: "njx/multi-languageinworkplace.htm", title: "Multi Language Management in Workplace Applications" },
                        { url: "njx/njx_xciwpinfo2.htm", title: "NJX:XCIWPINFO2" },
                        { url: "njx/njx_xciwpfunctions.htm", title: "NJX:XCIWPFUNCTIONS" },
                        { url: "njx/njx_xciwpaccess2.htm", title: "NJX:XCIWPACCESS2" },
                    ]
                  },
                  { url: "njx/njx-pdf.htm", title: "Working with PDF Documents" },
                  { url: "njx/mobilecontrols.htm", title: "Responsive Page Layout and Controls" },
              ]
            },
            { url: "custcontrols/overview.htm", title: "Custom Controls",
              tree: [
                  { url: "custcontrols/cust-over.htm", title: "Overview" },
                  { url: "custcontrols/ControlConcept.htm", title: "Control Concept" },
                  { url: "custcontrols/CreatingMacroControls.htm", title: "Creating Macro Controls Out of Existing Controls" },
                  { url: "custcontrols/CreatingNewControls.htm", title: "Creating New Controls" },
                  { url: "custcontrols/SpecialButImportantIssues.htm", title: "Special Issues" },
              ]
            },
            { url: "webio/webio-over.htm", title: "Client Configuration",
              tree: [
                  { url: "webio/webio-intro.htm", title: "About the Natural Web I/O Interface" },
                  { url: "webio/webio-screens.htm", title: "Natural Web I/O Screens" },
                  { url: "webio/clientcfg-logon.htm", title: "About the Logon Page" },
                  { url: "webio/clientcfg-ov-cfg.htm", title: "Overview of Configuration Files" },
                  { url: "webio/clientcfg-session.htm", title: "Natural Client Session Configuration" },
                  { url: "webio/clientcfg-tool.htm", title: "Natural Client Configuration Tool" },
                  { url: "webio/clientcfg-ajax.htm", title: "Ajax Configuration" },
                  { url: "webio/clientcfg-ov-css.htm", title: "Overview of Style Sheets" },
                  { url: "webio/clientcfg-css.htm", title: "Natural Web I/O Style Sheets" },
                  { url: "webio/clientcfg-ajax-css.htm", title: "Ajax Pages Style Sheets" },
                  { url: "webio/clientcfg-url.htm", title: "Starting a Natural Application with a URL" },
                  { url: "webio/clientcfg-security-container.htm", title: "Configuring Container-Managed Security" },
                  { url: "webio/clientcfg-authentication.htm", title: "Configuring Application-Managed Authentication" },
                  { url: "webio/clientcfg-servlet.htm", title: "Wrapping a Natural for Ajax Application as a Servlet" },
                  { url: "webio/clientcfg-errorpage.htm", title: "Customizing Error Pages" },
                  { url: "webio/clientcfg-ssl.htm", title: "Configuring SSL" },
                  { url: "webio/clientcfg-log.htm", title: "Logging" },
              ]
            },
            { url: "general/legal.htm", title: "Copyright" },
        ]
};
$.event.trigger({ type: "fishidbloaded", db: naturalforajax });
